
Summary: File manager using the two-panel design and Gtk+
Name: emelfm
Version: 0.9.2.1
Release: %mkrel 11
License: GPL
Group: File tools
Source: %{name}-%{version}.tar.xz 
Source1: emelfm.desktop
Source2: emelfm-root.desktop
Source3: org.pclinuxos.emelfm.policy
Source4: emelfm-48.png
Url: http://www.havens.de/elm/emelfm.html
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk+-devel >= 1.2
Requires: gtk+ >= 1.2
Requires: xterm
Requires: policykit
Requires: polkit
Obsoletes: %name
Provides: %name = %{version}-%{release}

%description
It is a file manager for UNIX-like operating systems. It uses a
simple and efficient interface pioneered by Norton Commander, in
the 1980s. The main window is divided into three parts, described
as "panes" or "panels". Two of those (side-by-side or top-to-bottom)
show the contents of selected filesystem directories. The third pane,
at the bottom of the window, shows the output of commands executed
within the program. Those panes can be resized, and any one or two of
them can be hidden and unhidden, on request. A built-in command-line,
toolbar buttons or assigned keys can be used to initiate commands. 

%description -l de
Es ist ein Datei-Manager für Unix-ähnliche Betriebssysteme. Es verwendet eine
einfache und effiziente Schnittstelle Pionierarbeit von Norton Commander, in
den 1980er Jahren. Das Hauptfenster ist in drei Teile gegliedert, beschrieben
als "Scheiben" oder "Platten". Zwei davon (side-by-Side-oder von oben nach unten)
zeigen den Inhalt von ausgewählten Verzeichnissen Dateisystem. Der dritte Bereich,
am unteren Rand des Fensters zeigt die Ausgabe des Kommandos ausgeführt
innerhalb des Programms. Die Scheiben der Größe verändert werden können, und einem oder zwei
sie können ausgeblendet werden und eingeblendet, auf Anfrage. Ein eingebauter command-line,
Schaltflächen oder abgetreten Tasten können verwendet werden, um Befehle zu initiieren.


%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
make -j1

%install
rm -rf %buildroot

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_docdir
mkdir -p %buildroot%_libdir/emelfm/plugins
mkdir -p %buildroot%_datadir/locale/
make BIN_DIR=%buildroot%{_bindir} DOC_DIR=%buildroot%_docdir \
	PLUGINS_DIR=%buildroot/lib/emelfm/plugins \
	LOCALEDIR=%buildroot%_datadir/locale/ install

rm -rf %buildroot%_docdir/help.txt
 
mkdir -p %buildroot/%_datadir/applications
install -m 0644 %SOURCE1 %buildroot/%_datadir/applications/emelfm.desktop
install -m 0644 %SOURCE2 %buildroot/%_datadir/applications/emelfm-root.desktop

install -Dm 0644 %SOURCE3 %buildroot/%_datadir/polkit-1/actions/org.pclinuxos.emelfm.policy

mkdir -p %buildroot/%_datadir/pixmaps
install -m 0644 %SOURCE4 %buildroot/%_datadir/pixmaps/%name.png



%find_lang %name

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%doc docs/help.txt
%{_bindir}/*
/lib/emelfm/plugins/*.so
%_datadir/applications/emelfm.desktop
%_datadir/applications/emelfm-root.desktop
%_datadir/polkit-1/actions/org.pclinuxos.emelfm.policy
%_datadir/pixmaps/%name.png

%changelog
* Fri Mar 31 2023 tex - 0.9.2.1-11pclos2023
- fix desktop files

* Sat Jun 19 2021 tex - 0.9.2.1-10pclos2021
-  rebuild

* Thu May 06 2021 tex - 0.9.2.1-9pclos2021
- rebuild against updates

* Tue Oct 01 2019 tex - 0.9.2.1-8pclos2019
- add policykit to emelfm

* Tue Apr 23 2019 tex - 0.9.2.1-7pclos2019
- rebuild against updates

* Fri Feb 12 2016 bb <bb> 0.9.2.1-6pclos2016
- rebuild for updates

* Mon Feb 16 2015 bb <bb> 0.9.2.1-5pclos2015
- rebuild new glibc
